<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">

    <title>Login</title>
    <script>
    var options = window.location.search.slice(1)
                  .split('&')
                  .reduce(function _reduce (/*Object*/ a, /*String*/ b) {
                    b = b.split('=');
                    a[b[0]] = decodeURIComponent(b[1]);
                    return a;
                  }, {});
    window.onload = () =>{
       getUserData(options.user_id)          
    }
    const getUserData  = (user_id) =>{
    var url = '/userPost';
    var data = {user_id};

    fetch(url, {
      method: 'POST', 
      body: JSON.stringify(data), 
      headers:{
        'Content-Type': 'application/json'
      }
    }).then(res => res.json())
    .then(response => {
      document.getElementById("comments").innerHTML=''
      document.getElementById("usuario").value = `${response[0].nombre} ${response[0].apellidos}` 
      document.getElementById("nombre").value = `${response[0].nombre} ${response[0].apellidos}` 
      document.getElementById("rut").value = `${response[0].rut}` 
      const h5 = document.createElement("h5")
      h5.classList.add('card-title')
      h5.innerHTML='Tus Documentos'
      document.getElementById("comments").appendChild(h5)
      response.forEach(documentos => {
        const row = document.createElement('div')
        row.classList.add('row')
        const colTitle = document.createElement('div')
        colTitle.classList.add('col')
        colTitle.innerHTML= documentos.tipo_doc
        
        const postText = document.createElement('p')
        postText.classList.add('card-text')
        const link = documentos.link_doc
        postText.innerHTML= `<img src="${link}">`

        

        row.appendChild(colTitle)
        row.appendChild(postText)
        

        document.getElementById("comments").appendChild(row)
        document.getElementById('title').value = ''
        document.getElementById('content').value = ''

      });
    });
  }
    const postComment = () => {
      const user_id = options.user_id
      const title = document.getElementById('title').value
      const content = document.getElementById('content').value
      const data = {user_id,title,content}
      const url = '/postComment'
      fetch(url, {
      method: 'POST', 
      body: JSON.stringify(data), 
      headers:{
        'Content-Type': 'application/json'
      }
      }).then(res => res.json())
      .then(response => {
          console.log(response)
          if(response.state){
            getUserData(options.user_id) 
          }else{
            alert('Se produjo un error')
          }
      })

  }
    </script>
    
  </head>
  <body>
    
      <p id = "usuario"></p>
      <div class="container" style="width: 30rem;">
        <img src="https://i.ibb.co/WcbZ09h/banner.png" class="card-img-top">
    </div>
      <div class = "container" style="width: 30rem;">
      <div class="card" >
      
        <div class="form-floating">
            
          <input type="text" class="form-control" id="nombre" name="nombre"
          placeholder="Ingrese su nombre"  disabled>
          <label for="floatingInputGrid">Nombre</label>
        </div>
        <div class="form-floating">
          <input type="text" class="form-control" id="rut" name = "rut" 
          placeholder=""  disabled>
          <label for="floatingInputGrid">RUN</label>
        </div>
        <div class="card-body">
          <h5 class="card-title">Ingresa tus Documentos</h5>
          <div class="form-floating">
            <select class="form-select" id="title"  name="title" aria-label="Default select example">
              <option value="Cédula de Identidad">Cédula de Identidad</option>
              <option value="Licencia de Conducir">Licencia de Conducir</option>
              <option value="Padrón">Padrón</option>
              <option value="Permiso de Circulación">Permiso de Circulación</option>
              <option value="Revisión Técnica">Revisión Técnica</option>
              <option value="Seguro Obligatorio">Seguro Obligatorio</option>
            </select>
            <label for="title">Seleccione su Documento</label>
          </div> 
          <div class="form-floating">
            <textarea class="form-control" placeholder="Leave a comment here" 
            id="content" name="content"></textarea>
            <label for="floatingTextarea2">Ingrese link del Documento</label>
          </div>
          
          <br>
          <button type="submit" class="btn btn-primary" onclick="postComment()">Enviar</button>
      
            
          </div>
        </div>

    </div>  
   <div class="container" style="width: 30rem;">
        <div class="card" >
          
            <div class="card-body" id="comments">
                

                
            </div>
        </div>
    </div>    
        
    </div>
    
  </body>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>

</html>